[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# GetDesignerForm

Gets the Form with the designer object for the specified control or persistent object.

## Declaration

Source position: forms.pp line 1969

`function GetDesignerForm(`
`Control: TControl`
`):TCustomForm; function GetDesignerForm(`
`APersistent: TPersistent`
`):TCustomForm;`

## Arguments

`Control` |  | TControl instance used to locate the owner form.

## Function result

Form instance with the designer for the specified argument.

## Arguments

`APersistent` |  | TPersistent instance used to locate the owner form.

## Description

GetDesignerForm is a TCustomForm function used to get the form instance with the designer object for the specified control or persistent object instance. The function is overloaded to allow use of a TControl or a TPersistent instance to locate the form.

The return value contains the top-most TCustomForm instance with a TIDesigner instance for the value in Control or APersistent. The return value is Nil when a form is not found which hosts the specified argument.